Bug 1252391 - Warn user that legacy kerbldap provider will be removed
Warn user that legacy kerbldap provider will be removed
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Setup.Engine (Show other bugs)
---
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Martin Perina
Ondra Machacek
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 06:16 EDT by Martin Perina
Modified: 2015-11-04 06:28 EST (History)
6 users (show)

See Also:
Fixed In Version: 3.6.0-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 06:28:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
pnovotny: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 44677 ovirt-engine-3.6 MERGED packaging: setup: config: show warning during upgrade if legacy kerbldap Never

  None (edit)
Description Martin Perina 2015-08-11 06:16:44 EDT
Description of problem:

Legacy kerbldap provider is obsoleted by ovirt-engine-extension-aaa-ldap and will most probably be removed in future. Add a warning for users about it, so they can migrate to aaa-ldap extension in time.

Version-Release number of selected component (if applicable):

3.6

How reproducible:

100%

Steps to Reproduce:
1.Install oVirt 3.5
2. Configure legacy kerbldap provider
3. Upgrade to 3.6

Actual results:

No warning is showed.

Expected results:

Warning message should be shown during the upgrade.

Additional info:
Comment 1 Ondra Machacek 2015-10-22 08:58:24 EDT
[WARNING] Setup found legacy kerberos/ldap directory integration in use (added by engine-manage-domains). This provider is obsoleted and will be removed in future. Please migrate to ovirt-engine-extension-aaa-ldap provider or contact support for assistance.
Comment 2 Sandro Bonazzola 2015-11-04 06:28:33 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.